com.jscape.inet.ssh.protocol.v2.authentication

## Class KeyboardInteractiveRegexClientAuthentication

- java.lang.Object
- - com.jscape.inet.ssh.protocol.v2.authentication.AbstractClientAuthentication
  - - com.jscape.inet.ssh.protocol.v2.authentication.AbstractKeyboardInteractiveClientAuthentication
    - - com.jscape.inet.ssh.protocol.v2.authentication.KeyboardInteractiveRegexClientAuthentication

- All Implemented Interfaces:
    com.jscape.inet.ssh.protocol.messages.Message.HandlerBase, ClientAuthentication, com.jscape.inet.ssh.protocol.v2.messages.SshMsgUserAuthBanner.Handler

      public class KeyboardInteractiveRegexClientAuthentication
      extends com.jscape.inet.ssh.protocol.v2.authentication.AbstractKeyboardInteractiveClientAuthentication

  Represents a SSH 'keyboard-interactive' authentication operation which sends pre-defined responses searching for known words in server requests.
  Author:
    Alex Usun

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `KeyboardInteractiveRegexClientAuthentication.Entry` Represents a pre-defined response.

    - ### Nested classes/interfaces inherited from interface com.jscape.inet.ssh.protocol.v2.authentication.ClientAuthentication

      `ClientAuthentication.InvalidCredentialsException, ClientAuthentication.PartialSuccessException`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KeyboardInteractiveRegexClientAuthentication(com.jscape.inet.ssh.protocol.v2.marshaling.MessageCodec.Factory codecFactory, java.lang.String username, KeyboardInteractiveRegexClientAuthentication.Entry... entries)` Creates a new operation instance.
    `KeyboardInteractiveRegexClientAuthentication(com.jscape.inet.ssh.protocol.v2.marshaling.MessageCodec.Factory codecFactory, java.lang.String username, java.util.List<KeyboardInteractiveRegexClientAuthentication.Entry> entries)` Creates a new operation instance.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static KeyboardInteractiveRegexClientAuthentication` | `defaultAuthentication(java.lang.String username, KeyboardInteractiveRegexClientAuthentication.Entry... entries)`
    `static KeyboardInteractiveRegexClientAuthentication` | `defaultAuthentication(java.lang.String username, java.util.List<KeyboardInteractiveRegexClientAuthentication.Entry> entries)`

    - ### Methods inherited from class com.jscape.inet.ssh.protocol.v2.authentication.AbstractKeyboardInteractiveClientAuthentication

      `applyTo`

    - ### Methods inherited from class com.jscape.inet.ssh.protocol.v2.authentication.AbstractClientAuthentication

      `banner, bannerLanguageTag, handle, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### KeyboardInteractiveRegexClientAuthentication

          public KeyboardInteractiveRegexClientAuthentication(com.jscape.inet.ssh.protocol.v2.marshaling.MessageCodec.Factory codecFactory,
                                                              java.lang.String username,
                                                              java.util.List<KeyboardInteractiveRegexClientAuthentication.Entry> entries)

      Creates a new operation instance.
      Parameters:
        `username` - an username
        `entries` - response entries

    - #### KeyboardInteractiveRegexClientAuthentication

          public KeyboardInteractiveRegexClientAuthentication(com.jscape.inet.ssh.protocol.v2.marshaling.MessageCodec.Factory codecFactory,
                                                              java.lang.String username,
                                                              KeyboardInteractiveRegexClientAuthentication.Entry... entries)

      Creates a new operation instance.
      Parameters:
        `username` - an username
        `entries` - response entries

  - ### Method Detail

    - #### defaultAuthentication

          public static KeyboardInteractiveRegexClientAuthentication defaultAuthentication(java.lang.String username,
                                                                                           java.util.List<KeyboardInteractiveRegexClientAuthentication.Entry> entries)

    - #### defaultAuthentication

          public static KeyboardInteractiveRegexClientAuthentication defaultAuthentication(java.lang.String username,
                                                                                           KeyboardInteractiveRegexClientAuthentication.Entry... entries)

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved